# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mqdb-core"
version = "0.5.0"
authors = ["LabOverWire"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core types, storage, schema, and protocol for MQDB"
readme = false
license = "AGPL-3.0-only"
repository = "https://github.com/LabOverWire/MQDB"

[features]
default = [
    "fjall-backend",
    "native",
]
fjall-backend = [
    "dep:fjall",
    "dep:ring",
]
native = ["dep:tokio"]

[lib]
name = "mqdb_core"
path = "src/lib.rs"

[dependencies.arc-swap]
version = "1.8"

[dependencies.bebytes]
version = "3.0.2"
features = ["bytes"]

[dependencies.crc32fast]
version = "1.5"

[dependencies.fjall]
version = "3.0"
optional = true

[dependencies.flume]
version = "0.12.0"
features = ["async"]

[dependencies.glob]
version = "0.3"

[dependencies.regex]
version = "1.12"

[dependencies.ring]
version = "0.17"
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.49"
features = ["full"]
optional = true

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1.19"
features = [
    "v4",
    "v7",
]

[dependencies.zeroize]
version = "1.8.2"

[dev-dependencies.tempfile]
version = "3.23.0"

[dev-dependencies.tokio]
version = "1.49"
features = ["full"]

[target.'cfg(target_arch = "wasm32")'.dependencies.uuid]
version = "1.18.1"
features = [
    "v4",
    "js",
]
